Page 1 of 3 123 LastLast
Results 1 to 10 of 24

Thread: Outdated repository

  1. #1
    Join Date
    Aug 2008
    Location
    Mexico and Sweden
    Posts
    1,827

    Default Outdated repository

    Recently updated via YaST, zypper reports
    Code:
    Warning: Repository 'openSUSE:Backports:SLE-15-SP4' appears to be outdated. Consider using a different mirror o
    r server.
    
    Is there another mirror/server?

  2. #2

  3. #3
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    2,253

    Default Re: Outdated repository

    Quote Originally Posted by ionmich View Post
    Recently updated via YaST, zypper reports
    Code:
    Warning: Repository 'openSUSE:Backports:SLE-15-SP4' appears to be outdated. Consider using a different mirror o
    r server.
    
    It's likely that repo was added at some point as part of a 1-click install. The "Backports" repository as defined in package "openSUSE-release" is:

    https://download.opensuse.org/update/leap/$releasever/backports/

    (or if you prefer explicit version numbers: https://download.opensuse.org/update...5.4/backports/ )

    You may want to consider changing the URL.
    Regards, Paul

  4. #4
    Join Date
    Jan 2014
    Location
    Erlangen
    Posts
    4,170
    Blog Entries
    3

    Default Re: Outdated repository

    Quote Originally Posted by ionmich View Post
    Recently updated via YaST, zypper reports
    Code:
    Warning: Repository 'openSUSE:Backports:SLE-15-SP4' appears to be outdated. Consider using a different mirror o
    r server.
    
    Code:
    
    6700K:~ # wget https://download.opensuse.org/repositories/openSUSE:Backports:SLE-15-SP4 
    --2022-09-09 13:41:37--  https://download.opensuse.org/repositories/openSUSE:Backports:SLE-15-SP4 
    Resolving download.opensuse.org (download.opensuse.org)... 2001:67c:2178:8::13, 195.135.221.134 
    Connecting to download.opensuse.org (download.opensuse.org)|2001:67c:2178:8::13|:443... connected. 
    HTTP request sent, awaiting response... 404 Not Found 
    2022-09-09 13:41:37 ERROR 404: Not Found. 
    
    6700K:~ #
    i7-6700K (2016), i5-8250U (2018), AMD Ryzen 5 3400G (2020), 5600X, 5700U (2022) openSUSE Tumbleweed, KDE Plasma

  5. #5
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    2,253

    Default Re: Outdated repository

    Quote Originally Posted by karlmistelberger View Post
    Code:
    
    6700K:~ # wget https://download.opensuse.org/repositories/openSUSE:Backports:SLE-15-SP4 
    --2022-09-09 13:41:37--  https://download.opensuse.org/repositories/openSUSE:Backports:SLE-15-SP4 
    Resolving download.opensuse.org (download.opensuse.org)... 2001:67c:2178:8::13, 195.135.221.134 
    Connecting to download.opensuse.org (download.opensuse.org)|2001:67c:2178:8::13|:443... connected. 
    HTTP request sent, awaiting response... 404 Not Found 
    2022-09-09 13:41:37 ERROR 404: Not Found. 
    
    6700K:~ #
    Yes I would expect a 404, you're missing a few "/" ("https://download.opensuse.org/repositories/openSUSE:/Backports:/SLE-15-SP4/")

    Code:
    paul@HP255G7:~> wget https://download.opensuse.org/repositories/openSUSE:/Backports:/SLE-15-SP4/
    --2022-09-09 13:17:24--  https://download.opensuse.org/repositories/openSUSE:/Backports:/SLE-15-SP4/
    Resolving download.opensuse.org (download.opensuse.org)... 195.135.221.134, 2001:67c:2178:8::13
    Connecting to download.opensuse.org (download.opensuse.org)|195.135.221.134|:443... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: unspecified [text/html]
    Saving to: ‘index.html’
    
    index.html                                 [ <=>                                                                        ]   8.91K  --.-KB/s    in 0s      
    
    2022-09-09 13:17:24 (59.3 MB/s) - ‘index.html’ saved [9126]
    
    paul@HP255G7:~>
    Nonetheless, I'd still replace that with the "official" Leap 15.4 backports URL
    Regards, Paul

  6. #6
    Join Date
    Jan 2014
    Location
    Erlangen
    Posts
    4,170
    Blog Entries
    3

    Default Re: Outdated repository

    Quote Originally Posted by tannington View Post
    Yes I would expect a 404, you're missing a few "/" ("https://download.opensuse.org/repositories/openSUSE:/Backports:/SLE-15-SP4/")

    Code:
    paul@HP255G7:~> wget https://download.opensuse.org/repositories/openSUSE:/Backports:/SLE-15-SP4/
    --2022-09-09 13:17:24--  https://download.opensuse.org/repositories/openSUSE:/Backports:/SLE-15-SP4/
    Resolving download.opensuse.org (download.opensuse.org)... 195.135.221.134, 2001:67c:2178:8::13
    Connecting to download.opensuse.org (download.opensuse.org)|195.135.221.134|:443... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: unspecified [text/html]
    Saving to: ‘index.html’
    
    index.html                                 [ <=>                                                                        ]   8.91K  --.-KB/s    in 0s      
    
    2022-09-09 13:17:24 (59.3 MB/s) - ‘index.html’ saved [9126]
    
    paul@HP255G7:~>
    Nonetheless, I'd still replace that with the "official" Leap 15.4 backports URL
    Yep. The original post is very terse about the repo:
    Code:
    erlangen:~ # zypper lr openSUSE_Backports_SLE-15-SP4_Update 
    Alias          : openSUSE_Backports_SLE-15-SP4_Update 
    Name           : Online updates for openSUSE:Backports:SLE-15-SP4 (standard) 
    URI            : http://download.opensuse.org/update/leap/15.4/backports/ 
    Enabled        : Yes 
    GPG Check      : ( p) Yes 
    Priority       : 99 (default priority) 
    Autorefresh    : On 
    Keep Packages  : Off 
    Type           : NONE 
    GPG Key URI    : http://download.opensuse.org/update/leap/15.4/backports/repodata/repomd.xml.key 
    Path Prefix    :  
    Parent Service :  
    Keywords       : --- 
    Repo Info Path : /etc/zypp/repos.d/openSUSE_Backports_SLE-15-SP4_Update.repo 
    MD Cache Path  : /var/cache/zypp/raw/openSUSE_Backports_SLE-15-SP4_Update 
    erlangen:~ #
    Code:
    erlangen:~ # zypper refresh openSUSE_Backports_SLE-15-SP4_Update 
    Retrieving repository 'Online updates for openSUSE:Backports:SLE-15-SP4 (standard)' metadata ...........................................................................................................................................[done] 
    Building repository 'Online updates for openSUSE:Backports:SLE-15-SP4 (standard)' cache ................................................................................................................................................[done] 
    Specified repositories have been refreshed. 
    erlangen:~ #
    i7-6700K (2016), i5-8250U (2018), AMD Ryzen 5 3400G (2020), 5600X, 5700U (2022) openSUSE Tumbleweed, KDE Plasma

  7. #7
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    2,253

    Default Re: Outdated repository

    Quote Originally Posted by karlmistelberger View Post
    ...
    Code:
    erlangen:~ # zypper lr openSUSE_Backports_SLE-15-SP4_Update 
    Alias          : openSUSE_Backports_SLE-15-SP4_Update 
    Name           : Online updates for openSUSE:Backports:SLE-15-SP4 (standard)
    ...
    
    Interesting... I note you also have the name and alias as *SLE-15-SP4* - Yet the package that initially defines those, openSUSE-release, has:
    Code:
    [repo-backports-update]
    name=Update repository of openSUSE Backports
    enabled=1
    autorefresh=1
    baseurl=http://download.opensuse.org/update/leap/$releasever/backports/
    path=/
    type=rpm-md
    keeppackages=0
    Maybe the names changed at some point after the initial (or pre) release of 15.4 - I only updated to 15.4 a few days ago.
    Regards, Paul

  8. #8
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    31,298

    Default Re: Outdated repository

    I found many of the names used to long (gives un managable listings with e.g. zypper lr -d). Also Aliases IMHO should be short, but still meaningful, words to use in commands. First thing is of course to remove the string "repo" from all of them Superfluous (what else are we handling here). in short:
    Code:
    henk@boven:~> cat /etc/zypp/repos.d/backports-update.repo 
    [backports-update]
    name=Updates from openSUSE Backports
    enabled=1
    autorefresh=1
    baseurl=http://download.opensuse.org/update/leap/$releasever/backports/
    path=/
    type=rpm-md
    keeppackages=0
    henk@boven:~>
    Henk van Velden

  9. #9
    Join Date
    Aug 2008
    Location
    Mexico and Sweden
    Posts
    1,827

    Default Re: Outdated repository

    Now I'm really confused.

  10. #10
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    31,298

    Default Re: Outdated repository

    Quote Originally Posted by ionmich View Post
    Now I'm really confused.
    Yes, we went more and more off-topic (I am also guilty).
    Henk van Velden

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •